# 63. Mutation: Organisation speichern

Mutation zum Hinzufügen oder Bearbeiten der "Organisation". Der "Benutzer", der die saveOrganization-Anfrage gesendet hat, wird der Eigentümer der "Organisation" sein.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationBeispiel {
  saveOrganization(
    input: {
      name: "Organisationsname"
      surname: "Nachname des Eigentümers"
      givenName: "Vorname des Eigentümers"
      email: "eigentümer@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    name
    Nachname
    Vorname
    email
    Telefon
    Erstellungsdatum
    updatedDate
  }
}
```

{% endcode %}

Um die bestehende "Organisation" zu bearbeiten, fügen Sie der Anfrage das Attribut uuid hinzu.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationBeispiel {
  saveOrganization(
    input: {
      uuid: "<organisation_uuid>"
      name: "Neuer Organisationsname"
      surname: "Nachname des Eigentümers"
      givenName: "Vorname des Eigentümers"
      email: "eigentümer_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    name
    Nachname
    Vorname
    email
    Telefon
    Erstellungsdatum
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/63.-mutation-organisation-speichern.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
